Filter for version name should be case-insensitive

2017-10-04 15:22 - Nastya Fedorova

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version: 3.4.6   

Resolution: Fixed Affected version:  

Description

Search for version name does not work for case sensitive names

Associated revisions

Revision 17316 - 2018-04-29 01:31 - Go MAEDA

Filter for version name should be case-insensitive (#27122).

Patch by Holger Just and Mizuki ISHIKAWA.

Revision 17317 - 2018-04-29 01:52 - Go MAEDA

Merged r17316 from trunk to 3.4-stable (#27122).

History

#1 - 2017-10-11 10:03 - Anonymous

- File photo_2017-09-01_22-08-39.jpg added

#2 - 2017-10-11 13:39 - Holger Just

There is a database-agnostic helper method for a case-insensititive LIKE. You should be able to just use this:

where([Redmine::Database.like("Version.table_name}.name", '?'), pattern])

 MySQL is case-insensitive by default. Searching on Postgres should work with this method. As for the other supported databases: I'm not fully sure

whether they do the right thing there. If they don't show the correct behavior then the Redmine::Database.like method should be fixed.

#3 - 2017-10-15 00:25 - Mischa The Evil

- File deleted (photo_2017-09-01_22-08-39.jpg)

#4 - 2017-10-31 05:06 - Toshi MARUYAMA

- Category changed from Search engine to Roadmap

- Target version set to 4.1.0

#5 - 2018-03-22 01:31 - Mizuki ISHIKAWA

- File case_sensitive_filter_for_version_name_2.patch added

Attach the patch that added the test to the code written by Holger Just ( #27122#note-2 ).

#6 - 2018-04-24 10:21 - Mizuki ISHIKAWA

- File case_sensitive_filter_for_version_name_3.patch added

I fixed the test code.

#7 - 2018-04-24 10:31 - Mizuki ISHIKAWA

- File case_sensitive_filter_for_version_name_4.patch added

There was also a problem with the test of case_sensitive_filter_for_version_name_3.patch, so I fixed it.
https://www.redmine.org/issues/27122#note-2
https://www.redmine.org/attachments/20538


#8 - 2018-04-25 17:12 - Go MAEDA

- Tracker changed from Patch to Defect

- Subject changed from Case insensitive filter for version name to Filter for version name should be case-insensitive

- Category changed from Roadmap to Project settings

- Target version changed from 4.1.0 to 3.4.6

This is a defect rather than a feature. I am setting target version to 3.4.6.

#9 - 2018-04-29 01:33 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

#10 - 2018-04-29 01:52 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Fixed

Committed. Thank you all for detecting and fixing this issue.

Files

Case_sensitive_filter_for_version_name_.patch 622 Bytes 2017-10-04 Nastya Fedorova

case_sensitive_filter_for_version_name_2.patch 1.29 KB 2018-03-22 Mizuki ISHIKAWA

case_sensitive_filter_for_version_name_3.patch 1.13 KB 2018-04-24 Mizuki ISHIKAWA

case_sensitive_filter_for_version_name_4.patch 1.17 KB 2018-04-24 Mizuki ISHIKAWA
